Skip to main content
PATCH
Update snippet

Authorizations

x-api-key
string
header
default:bd_live_your_key_here
required

Path Parameters

id
string
required

Body

application/json
name
string

The snippet name

content
string

Template body (for TEXT snippets)

prompt
string

Generation prompt (for LLM snippets)

shortcut
string

A quick-access shortcut (must be unique)

status
enum<string>

Set ACTIVE or ARCHIVED

Available options:
ACTIVE,
ARCHIVED

Response

id
string
required

The unique identifier of the snippet

name
string
required

The name of the snippet

type
string
required

The snippet type: a static TEXT template or an LLM prompt

Example:

"TEXT"

status
string
required

The snippet status

Example:

"ACTIVE"

isShared
boolean
required

Whether the snippet is shared with the team

Example:

false

createdAt
string<date-time>
required

When the snippet was created

updatedAt
string<date-time>
required

When the snippet was last updated

shortcut
string | null

The keyboard shortcut for the snippet, if any

content
string | null

The template body (for TEXT snippets)

prompt
string | null

The generation prompt (for LLM snippets)